<?php
// +----------------------------------------------------------------------
// | yershop网店管理系统
// +----------------------------------------------------------------------
// | Copyright (c) 2017 http://www.yershop.com All rights reserved.
// +----------------------------------------------------------------------
// | 版权申明：yershop网店管理系统不是一个自由软件，是贝云网络官方推出的商业源码，严禁在未经许可的情况下
// | 拷贝、复制、传播、使用yershop网店管理系统的任意代码，如有违反，请立即删除，否则您将面临承担相应
// | 法律责任的风险。如果需要取得官方授权，请联系官方http://www.yershop.com
// +----------------------------------------------------------------------
namespace app\index\controller;
use think\Controller;
use think\Db;
/**
 * 收藏模型控制器
 * 收藏模型列表和详情
 */
class Sign extends Home {
	
	
    	   //提现
    public function add(){
		
		if(!session_uid()) {
		   	$this->error( "您还没有登陆",url("User/login") );
		}
		$uid=session_uid();
		$start = strtotime(date('Y-m-d').'00:00:00');
        $end = strtotime(date('Y-m-d').'23:59:59');	
		$map[] = ['create_time',[">",$start],["<",$end] ,"AND"];
		$map[] = ['uid','=' ,$uid];
		$map[] = ['type','=' ,2];
		if(db('score_log')->where($map)->find()){
			  $this->error("今天已签到");
		}
		unset($map);
	      $map['id']=$uid;
	      $user=db('user')->where($map)->find();
		  $num=0;
		  $num=api('signScore');	
		 $total=$user['score']+$num;
		 db('user')->where('id',$uid)->setField("score",$total);
		 $save2["uid"]=$uid;
		$save2["type"]=2;//签到赠送
		$save2["score"]=$num;//充值金额
		$save2["create_time"]=time();
	    $save2["content"]="签到赠送";
	    $save2["total"]=$total;//充值后剩余金额
	    $res=db("score_log")->insert($save2);	
		 
      if($res){
		  $this->success("签到成功，积分+".api('signScore'));
	   }else{
		  $this->error("签到失败");
	   }
	  
   }
   public function delete(){
	   if(!session_uid() ) {
			$this->error( "您还没有登陆",url("User/login") );
	   }
	   $id=input('id'); // 用intval过滤$_POST['id']
	   $id=safe_replace($id);//过滤
	   $map["id"]=$id; 
	   $map["uid"]=session_uid();
	   $res=db("collect")->where($map)->delete();
	   if($res){
		  $this->success("删除成功");
	   }else{
		  $this->error("删除失败");
	   }
   }
}

